#version 330 core

layout(location = 0) in vec3 position;

uniform float WIDTH;
uniform float HEIGHT;

out vec2 text_Pos;

void main() {

	text_Pos = (position.xy + 1.0) * 0.5;

	float x = ((position.x + 1.0) / 15.0) - 1.0 + (2.0 / 15.0);
	float y = ((position.y + 1.0) / 15.0 * (WIDTH / HEIGHT)) - 1.0;

	gl_Position = vec4(x, -y, position.z, 1.0);
	
}