#version 330

in vec2 textPos;

uniform sampler2D colorTexture;

layout(location = 0) out vec4 fragColor;
layout(location = 1) out float depthValue;

void main() {
	
	vec3 color = texture(colorTexture, textPos).rgb;
	//color = vec3(pow(color.x, 100), pow(color.y, 100), pow(color.z, 100));
	fragColor = vec4(color, 1.0f);

	depthValue = gl_FragCoord.z;

}